Package tigase.xmpp.impl

## Class PrivacyList

- java.lang.Object
- - tigase.xmpp.impl.PrivacyList

-     public class PrivacyList
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `PrivacyList.Item` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PrivacyList` | `ALLOW_ALL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrivacyList​(java.util.function.Function<JID,​RosterElement> rosterElementGetter, Element el)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PrivacyList` | `create​(java.util.Map<BareJID,​RosterElement> roster, Element el)` |
    `static PrivacyList` | `create​(XMPPResourceConnection session, RosterAbstract rosterUtil, Element el)` |
    `java.util.stream.Stream<JID>` | `getBlockedJids()` |
    `java.lang.String` | `getName()` |
    `boolean` | `isAllowed​(JID jid, PrivacyList.Item.Type type)` |
    `boolean` | `isEmpty()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_ALL

          public static final PrivacyList ALLOW_ALL

  - ### Constructor Detail

    - #### PrivacyList

          public PrivacyList​(java.util.function.Function<JID,​RosterElement> rosterElementGetter,
                             Element el)

  - ### Method Detail

    - #### create

          public static PrivacyList create​(java.util.Map<BareJID,​RosterElement> roster,
                                           Element el)

    - #### create

          public static PrivacyList create​(XMPPResourceConnection session,
                                           RosterAbstract rosterUtil,
                                           Element el)
                                    throws NotAuthorizedException,
                                           TigaseDBException

      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getName

          public java.lang.String getName()

    - #### getBlockedJids

          public java.util.stream.Stream<JID> getBlockedJids()

    - #### isAllowed

          public boolean isAllowed​(JID jid,
                                   PrivacyList.Item.Type type)

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`